package com.wrj.driver.server.controller;

import com.wrj.driver.server.dto.BaseQueryDto;
import com.wrj.driver.server.response.BaseResponse;
import com.wrj.driver.server.service.ITdSecretService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 密卷
 */
@RestController
@RequestMapping("/tdSecret")
@Slf4j
public class TdSecretController {

    @Resource
    private ITdSecretService secretService;

    //查询
    @PostMapping("/querySecretIds")
    public BaseResponse querySecretIds(@RequestBody BaseQueryDto queryDto) {
        log.info("获取密卷ids======>queryDto:{}", queryDto);
        return BaseResponse.success(secretService.querySecretIds(queryDto));
    }

}
