package com.wrj.driver.server.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
@ApiModel("基础查询查询入参")
public class BaseQueryDto {

    /**
     * 所属科目，1:科目1，2:科目4
     */
    @ApiModelProperty("所属科目，1:科目1，2:科目4")
    private String subject;

    /**
     * 车型
     */
    @ApiModelProperty("车型")
    private Integer carTypeId;

    /**
     * 题库版本id
     */
    @ApiModelProperty("题库版本id")
    private Long versionId;
}
