package com.wrj.driver.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * 租户用户表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("td_tenant_user")
public class TdTenantUser implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户标识
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 用户标识
     */
    @TableField(value = "user_id")
    private Long userId;

    /**
     * 用户标识
     */
    @TableField(value = "tenant_id")
    private Long tenantId;

    /**
     * 考试类型
     */
    @TableField(value = "car_type_ids")
    private String carTypeIds;

    /**
     * 考试类型
     */
    @TableField("is_active")
    private String icActive;

}

