package com.wrj.driver.server.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 用户折扣
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UserDiscountVO  {


    private Integer id;

    private Long userId;

    private Integer discountId;

    //折扣
    private BigDecimal discount;

    private String param2;

    /**
     * 会员时间
     */
    private Integer duration;

    /**
     * 时长单位，1：天，2：月 3：年
     */
    private String unit;

    private LocalDateTime endTime;

    private Integer isInvalid;

}
