package com.wrj.driver.server.controller;

import com.wrj.driver.server.interceptor.TenantContextHolder;
import com.wrj.driver.server.response.BaseResponse;
import com.wrj.driver.server.service.ITdCarouselImageService;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/tdCarouselImage")
@Slf4j
public class TdCarouselImageController {

    @Resource
    private ITdCarouselImageService carouselImageService;

    //查询轮播图信息

    @ApiOperation("根据车型和科目查询章节")
    @PostMapping("/queryList")
    public BaseResponse queryList() {
        log.info("获取轮播图======>queryDto:{}");
        return BaseResponse.success(carouselImageService.queryList(TenantContextHolder.getTenantId()));
    }

}
