package com.wrj.driver.server.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdSysUserLog implements Serializable {
    @TableId(value = "ID")
    private Long id;
    @TableField("TITLE")
    private String title;

    @TableField("BUSINESS_TYPE")
    private Integer businessType;

    @TableField("DEVICE")
    private String device;

    @TableField("OPER_TYPE")
    private Integer operType;

    @TableField("USER_ID")
    private Long userId;

    @TableField("OPER_PARAM")
    private String operParam;

    @TableField("JSON_RESULT")
    private String jsonResult;

    @TableField("STATUS")
    private Integer status;

    @TableField("ERROR_MSG")
    private String errorMsg;

    @TableField("OPER_TIME")
    private LocalDateTime operTime;

    @TableField("TENANT_ID")
    private Long tenantId;

}
