package com.wrj.driver.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.wrj.driver.server.entity.TdSysUserLog;
import com.wrj.driver.server.mapper.TdSysUserLogMapper;
import com.wrj.driver.server.service.ITdSysUserLogService;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

@Service
public class TdSysUserLogServiceImpl extends ServiceImpl<TdSysUserLogMapper, TdSysUserLog> implements ITdSysUserLogService {

    @Override
    public void saveLog(String title, int businessType, String device, int operType, Long userId, String param, String result, int status, LocalDateTime operTime, Long tenantId) {
        TdSysUserLog model = new TdSysUserLog()
                .setUserId(userId)
                .setDevice(device)
                .setTitle(title)
                .setBusinessType(businessType)
                .setOperType(operType)
                .setOperParam(param)
                .setJsonResult(result)
                .setOperTime(operTime)
                .setTenantId(tenantId);
        this.getBaseMapper().insert(model);
    }
}
